;				StarFox sample Title Picture
;				By: Miles Raymond
;			ICQ: Killer2		UIN: 13217756
;			EML: m_rayman@calc.org	AIM: KilIer2 (kilier2)

;	3/3/2000

;****************************************************************************************
;These lines include the information about the program.

	include "doorsos.h"		;define the include(s) to make this program use
	include	"graphlib.h"		 ;libraries and/or shell(s)
	include	"userlib.h"
	xdef    _ti89			;this is a program for the TI-89
	xdef    _comment		;define a comment to appear in a shell (if ran
					 ;from a shell supporting comments)
	xdef	_icon			;define an icon to appear in a shell (if ran from
					 ;a shell supporting icons)
	xdef    _main			;define this to be a program, not a library

;****************************************************************************************

_main:
	jsr	graphlib::gray7			;switches to 7 grayscale mode
	move.w	#1,graphlib::choosescreen	;set graphlib functions to greyscale mode

	move.l	graphlib::plane0,a1		;address of the 1st bitplane (plane0)
	jsr	graphlib::clr_scr		;clears the first bitplane (main screen)
	move.l	graphlib::plane1,a1		;address of the 2nd bitplane (plane1)
	jsr	graphlib::clr_scr		;clears the second bitplane
	move.l	graphlib::plane2,a1		;address of the 3rd bitplane (plane2)
	jsr	graphlib::clr_scr		;clears the third bitplane

	clr.w	d0				;set y coordinate
	clr.w	d1				;set x coordinate
	move.l	graphlib::plane0,a1		;set the first plane
	lea	plane1(PC),a0			;set the address of the first layer
	jsr	graphlib::put_sprite		;draw the first layer
	move.l	graphlib::plane1,a1		;set the second plane
	lea	plane2(PC),a0			;set the address of the second layer
	jsr	graphlib::put_sprite		;draw the second layer
	move.l	graphlib::plane2,a1		;set the third plane
	lea	plane3(PC),a0			;set the address of the third layer
	jsr	graphlib::put_sprite		;draw the third layer

	jsr	userlib::idle_loop		;wait for a key
	clr.w	graphlib::choosescreen		;set all graphlib functions to Black and White mode
	jsr	graphlib::gray2			;restores Black and White mode
	rts

;****************************************************************************************
	EVEN
	include	"StarFox.inc"

;****************************************************************************************
	EVEN
_comment
	dc.b    "StarFox Title Pic bK",0

	EVEN
_icon
	dc.w	%1101000000000000	;the icon
	dc.w	%1001100110111000	;format: 16x8
	dc.w	%0101001010100000
	dc.w	%1101100110100000
	dc.w	%0000011100000000
	dc.w	%0000010000100101
	dc.w	%0000011001010010
	dc.w	%0000010000100101

        end
